function roi = getROI(image, rect, bgval)

if nargin < 3
    bgval = 0;
end


[imheight,imwidth,dims] = size(image);

% rect = regularizeRectangle(rect,[imwidth imheight]);



x = ceil(rect(1));
y = ceil(rect(2));
w = floor(rect(3));
h = floor(rect(4));

lpad = max(-x+1,0);
rpad = -(imwidth - (x+w-1));
rpad = max(rpad,0);

tpad = max(-y+1,0);
bpad = -(imheight - (y+h-1));
bpad = max(bpad,0);

%extract the roi part
roi = ones(h,w,dims,class(image)) * bgval;
% roi = nan(h,w,dims,class(image));
roi(tpad+1:h-bpad, lpad+1:w-rpad,:) = ...
    image(max(y,1):min(y+h-1,imheight), max(x,1):min(x+w-1,imwidth),:);
% image(y:y+h-1, x:x+w-1,:);